package com.srs.stureg.mapper;

import java.util.List;
import java.util.Map;

import com.srs.stureg.domain.SrsStuCheck;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 报到核验Mapper接口
 *
 * @author srs
 * @date 2024-09-09
 */
public interface SrsStuCheckMapper extends BaseMapper<SrsStuCheck> {
    /**
     * 查询报到核验
     *
     * @param id 报到核验主键
     * @return 报到核验
     */
    public SrsStuCheck selectSrsStuCheckById(Long id);

    public SrsStuCheck getowmByksh(String ksh);

    /**
     * 查询报到核验列表
     *
     * @param srsStuCheck 报到核验
     * @return 报到核验集合
     */
    List<SrsStuCheck> selectSrsStuCheckList(SrsStuCheck srsStuCheck);

    public Map<String,Object> countCheckTotal();

    /**
     * 新增报到核验
     *
     * @param srsStuCheck 报到核验
     * @return 结果
     */
    int insertSrsStuCheck(SrsStuCheck srsStuCheck);

    /**
     * 修改报到核验
     *
     * @param srsStuCheck 报到核验
     * @return 结果
     */
    int updateSrsStuCheck(SrsStuCheck srsStuCheck);

    /**
     * 删除报到核验
     *
     * @param id 报到核验主键
     * @return 结果
     */
    int deleteSrsStuCheckById(Long id);

    /**
     * 批量删除报到核验
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSrsStuCheckByIds(Long[] ids);
}
